import { EventEmitter } from '../event/EventEmitter';
export declare function getVendorPrefix(): string;
export declare const VENDOR_PREFIX: string;
export declare const VISIBILITY_EVENT_NAME: string;
export declare const HIDDEN_METHOD_NAME: string;
export declare enum VISIBILITY_EVENTS {
    CHANGE = "VISIBILITY_CHANGE-EVENTS-CHANGE",
    GET_STATUS = "VISIBILITY_CHANGE-EVENTS-GET_STATUS"
}
export declare class VisibilityChangeObserver extends EventEmitter {
    constructor();
    static visibilityEventName(): string;
    static hiddenMethodName(): string;
    static isSupportVisibilityChange(): boolean;
    private onVisibilityChangeListener;
    private isHidden;
    getStatus(): VisibilityChangeObserver;
    attach(): VisibilityChangeObserver;
    detach(): VisibilityChangeObserver;
    destroy(): VisibilityChangeObserver;
}
