import { TypeVoidFunction } from '../types/voidFunction';
export declare class EventEmitter {
    private events;
    constructor();
    on(eventName: string, listener?: TypeVoidFunction, context?: any): EventEmitter;
    off(eventName: string, listener?: TypeVoidFunction): EventEmitter;
    once(eventName: string, listener?: TypeVoidFunction, context?: any): EventEmitter;
    emit(eventName: string, ...values: any[]): EventEmitter;
    fire(eventName: string, ...values: any[]): EventEmitter;
}
